Subject: Re: Cygwin compiled DLL under Visual C++
From: Andrew Markebo <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: 19 Feb 2001 20:59:15 +0100

/ Christopher Faylor <[email-masked]> wrote:
| [...]
| Right.  And, I have to point out that if you are linking with the Cygwin DLL,
| *all* of your source has now become GPLed.  If you are providing a commercial
| release of your product you had better make sure that you also make the
| sources available or you will be in violation of Cygwin's licensing terms.

There seems to be an alternative, mentioned in the FAQ:

"In particular, if you intend to port a proprietary (non-GPL'd)
application using Cygwin, you will need the proprietary-use license
for the Cygwin library. This is available for purchase; please contact
[email-masked] for more information. All other questions should be
sent to the project mailing list [email-masked]. "

Hmm BTW Anything under the cygwin dist going under LGPL, or how was
it.. is the LGPL already ancient, replaced with something else?

        /Andy

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple